/// class PD.Manage.Modules.ObjectModel.ProcessOpenCommand

PD.Manage.Modules.ObjectModel.ProcessOpenCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {

        this.props("id", "process/open");
        this.props("enabled", true);
        this.props("icon", PD.Path.to16x16("FOLDER_OPEN.PNG"));
        this.props("label", "Open");
        this.props("tooltip", "Open the Process Model<br/>for the selected Process.");

        this.state("processId", null);

    },

    setState: function (state) {
        this._super(state);
        this.props("enabled", this.state("processId") != null)
    },

    execute: function (e) {
        this._super(e);
        window.location.hash = "/module/process/" + this.state("processId");
    }

});